﻿#language: ru

@milk_reception

Функционал: 01_milk_reception.01.008 Создание Видов рабочих центров, Рабочих центров и их подразделений

Сценарий: 01_milk_reception.01.008 Заполнение справочника Виды РЦ
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Виды рабочих центров'
	Тогда я жду открытия окна 'Виды рабочих центров' в течение 20 секунд
	И я нажимаю на кнопку 'Создать'
	Тогда я жду открытия окна 'Вид рабочего центра (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'milk_rec_ПАЦ'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вид рабочего центра (создание)' в течение 20 секунд
	Тогда я жду открытия окна 'Виды рабочих центров' в течение 20 секунд
	И я закрываю окно 'Виды рабочих центров'

Сценарий: 01_milk_reception.01.008 Заполнение справочника Подразделения
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Подразделения'
	Тогда открылось окно 'Подразделения'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Подразделение (создание)'
	И в поле 'Наименование' я ввожу текст 'milk_rec_1'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Подразделение (создание)' в течение 20 секунд
	Тогда открылось окно 'Подразделения'
	И я закрываю окно 'Подразделения'

Сценарий: 01_milk_reception.01.008 Заполнение справочника Рабочие центры
	И В командном интерфейсе я выбираю 'Производство' 'Рабочие центры'
	Тогда открылось окно 'Рабочие центры'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Рабочий центр (создание)'
	И я нажимаю кнопку выбора у поля "Вид рабочего центра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_rec_ПАЦ' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И в поле 'Наименование' я ввожу текст 'milk_rec_ПАЦ'
	И я нажимаю кнопку выбора у поля "Подразделение"
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_rec_1'   |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И я нажимаю кнопку выбора у поля "График работы"
	Тогда открылось окно 'Графики работы'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'	    |
		| 'Российская Федерация'|
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И я перехожу к закладке "Склады"
	И я устанавливаю флаг 'Несколько складов'
	И в таблице "Склады" я нажимаю на кнопку 'Добавить'
	И в таблице "Склады" я нажимаю кнопку выбора у реквизита "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_rec_ПАЦ' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И в таблице "Склады" я нажимаю на кнопку 'Добавить'
	И в таблице "Склады" я нажимаю кнопку выбора у реквизита "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'milk_rec_Танк1' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Рабочий центр (создание) *'
	И в таблице "Склады" я перехожу к строке:
		| 'N' |
		| '1' |
	И в таблице "Склады" я удаляю строку
	И я нажимаю кнопку выбора у поля "СкладВспомогательныхМатериалов"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_rec_ПАЦ' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И я перехожу к закладке "Производство"
	И в поле 'Доступность, ч' я ввожу текст '24,00'
	И в поле 'Доступность, ч' я ввожу текст '23,00'
	И в поле 'Время переналадки, ч' я ввожу текст '1,00'
	И из выпадающего списка "Вариант нумерации серий" я выбираю точное значение 'По номеру строки задания'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Рабочий центр (создание) *' в течение 20 секунд
	Тогда открылось окно 'Рабочие центры'
	И я закрываю окно 'Рабочие центры'

Сценарий: 01_milk_reception.01.008 Заполнение справочника Рабочие центры - упрощенный вариант РЦ
	И В командном интерфейсе я выбираю 'Производство' 'Рабочие центры'
	Тогда открылось окно 'Рабочие центры'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Рабочий центр (создание)'
	И я нажимаю кнопку выбора у поля "Вид рабочего центра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_rec_ПАЦ' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И в поле 'Наименование' я ввожу текст 'milk_rec_ПАЦ_2'
	И я перехожу к закладке "Склады"
	И я нажимаю кнопку выбора у поля с именем "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_rec_ПАЦ' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И я нажимаю кнопку выбора у поля "СкладВспомогательныхМатериалов"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_rec_ПАЦ' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И я перехожу к закладке "Производство"
	И из выпадающего списка "Вариант нумерации серий" я выбираю точное значение 'По номеру строки задания'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Рабочий центр (создание) *' в течение 20 секунд
	Тогда открылось окно 'Рабочие центры'
	И я закрываю окно 'Рабочие центры'